org.apache.pdfbox.pdmodel.font

## Class PDMMType1Font

- java.lang.Object
- - org.apache.pdfbox.pdmodel.font.PDFont
  - - org.apache.pdfbox.pdmodel.font.PDSimpleFont
    - - org.apache.pdfbox.pdmodel.font.PDType1Font
      - - org.apache.pdfbox.pdmodel.font.PDMMType1Font

All Implemented Interfaces:
  COSObjectable, PDFontLike

    public class PDMMType1Font
    extends PDType1Font

Type 1 Multiple Master Font.

Author:
  Ben Litchfield

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.font.PDType1Font

`COURIER, COURIER_BOLD, COURIER_BOLD_OBLIQUE, COURIER_OBLIQUE, HELVETICA, HELVETICA_BOLD, HELVETICA_BOLD_OBLIQUE, HELVETICA_OBLIQUE, SYMBOL, TIMES_BOLD, TIMES_BOLD_ITALIC, TIMES_ITALIC, TIMES_ROMAN, ZAPF_DINGBATS`

### Fields inherited from class org.apache.pdfbox.pdmodel.font.PDSimpleFont

`encoding, glyphList`

### Fields inherited from class org.apache.pdfbox.pdmodel.font.PDFont

`DEFAULT_FONT_MATRIX, dict`

### Constructor Summary

Constructors
Constructor and Description
`PDMMType1Font(COSDictionary fontDictionary)` Creates an MMType1Font from a Font dictionary in a PDF.

### Method Summary

### Methods inherited from class org.apache.pdfbox.pdmodel.font.PDType1Font

`codeToName, encode, getAverageFontWidth, getBaseFont, getBoundingBox, getFontBoxFont, getFontMatrix, getHeight, getName, getPath, getType1Font, getWidthFromFont, hasGlyph, isDamaged, isEmbedded, readCode, readEncodingFromFont`

### Methods inherited from class org.apache.pdfbox.pdmodel.font.PDSimpleFont

`addToSubset, getEncoding, getGlyphList, getStandard14Width, getSymbolicFlag, hasExplicitWidth, isFontSymbolic, isStandard14, isSymbolic, isVertical, readEncoding, subset, toUnicode, toUnicode, willBeSubset`

### Methods inherited from class org.apache.pdfbox.pdmodel.font.PDFont

`encode, equals, getCOSObject, getDisplacement, getFontDescriptor, getPositionVector, getSpaceWidth, getStandard14AFM, getStringWidth, getSubType, getToUnicodeCMap, getType, getWidth, getWidths, hashCode, readCMap, setFontDescriptor, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDMMType1Font

    public PDMMType1Font(COSDictionary fontDictionary)
                  throws IOException

Creates an MMType1Font from a Font dictionary in a PDF.

Parameters:
  `fontDictionary` - font dictionary
Throws:
  `IOException`